%undefine __cmake_in_source_build

#global bootstrap 1

%global         base_name   breeze

Summary: Artwork, styles and assets for the Breeze visual style for the Plasma Desktop
Name:    plasma-breeze
Version: 5.27.8
Release: 1%{?dist}

License: GPLv2+
URL:     https://cgit.kde.org/%{base_name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global majmin_ver %(echo %{version} | cut -d. -f1,2).50
%global stable unstable
%else
%global majmin_ver %(echo %{version} | cut -d. -f1,2)
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{base_name}-%{version}.tar.xz

%global __provides_exclude_from ^(%{_kf5_qtplugindir}/.*\\.so)$

BuildRequires:  gettext, kdecoration-devel >= %{majmin_ver}
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-kauth-devel, kf5-frameworkintegration-devel, kf5-kcmutils-devel
BuildRequires:  kf5-kcompletion-devel, kf5-kconfig-devel, kf5-kcoreaddons-devel
BuildRequires:  kf5-kguiaddons-devel, kf5-ki18n-devel, kf5-kirigami2-devel
BuildRequires:  kf5-kpackage-devel, kf5-kservice-devel, kf5-kwayland-devel
BuildRequires:  kf5-kwindowsystem-devel, kf5-plasma-devel, kf5-rpm-macros

BuildRequires:  libxcb-devel, fftw-devel
BuildRequires:  fftw-devel

BuildRequires:  cmake(Qt5DBus), cmake(Qt5Quick), cmake(Qt5Widgets), cmake(Qt5X11Extras)

Requires:       %{name}-common = %{version}-%{release}

# since we provide a cmake dev-like file
Provides:       %{name}-devel = %{version}-%{release}

%description
%{summary}.

%package        common
Summary:        Common files shared between KDE 4 and Plasma 5 versions of the Breeze style
BuildArch:      noarch
%description    common
%{summary}.

%package -n     breeze-cursor-theme
Summary:        Breeze cursor theme
BuildArch:      noarch
Provides:       breeze-cursor-themes = %{version}-%{release}
%description -n breeze-cursor-theme
%{summary}.

%prep
%autosetup -n %{base_name}-%{version} -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang breeze --all-name

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSES/*.txt
%{_kf5_qtplugindir}/org.kde.kdecoration2/breezedecoration.so
%{_kf5_qtplugindir}/styles/breeze.so
%{_kf5_qtplugindir}/plasma/kcms/breeze/kcm_breezedecoration.so
%{_bindir}/breeze-settings5
%{_kf5_qtplugindir}/plasma/kcms/systemsettings_qwidgets/breezestyleconfig.so
%{_kf5_libdir}/kconf_update_bin/breezehighcontrasttobreezedark
%{_kf5_libdir}/kconf_update_bin/breezetobreezeclassic
%{_kf5_libdir}/kconf_update_bin/breezetobreezelight
%{_libdir}/libbreezecommon5.so.5*
%{_kf5_datadir}/kstyle/themes/breeze.themerc
%{_kf5_datadir}/kconf_update/breezehighcontrasttobreezedark.upd
%{_kf5_datadir}/kconf_update/breezetobreezeclassic.upd
%{_kf5_datadir}/kconf_update/breezetobreezelight.upd
%{_kf5_datadir}/applications/breezestyleconfig.desktop
%{_kf5_datadir}/applications/kcm_breezedecoration.desktop
%{_datadir}/icons/hicolor/*/apps/breeze-settings.*
%{_libdir}/cmake/Breeze/

%files common -f breeze.lang
%{_datadir}/color-schemes/*.colors
%dir %{_datadir}/QtCurve/
%{_datadir}/QtCurve/Breeze.qtcurve
%{_datadir}/wallpapers/Next/

%files -n breeze-cursor-theme
%doc cursors/Breeze/README
%dir %{_kf5_datadir}/icons/Breeze_Snow/
%{_kf5_datadir}/icons/Breeze_Snow/cursors/
%{_kf5_datadir}/icons/Breeze_Snow/index.theme
%dir %{_kf5_datadir}/icons/breeze_cursors/
%{_kf5_datadir}/icons/breeze_cursors/cursors/
%{_kf5_datadir}/icons/breeze_cursors/index.theme

%changelog
* Sat Nov 25 2023 Chair <chairou@tencent.com> - 5.27.8-1
- Init
